## org.biojava.bio.seq
Interface Sequence

All Known Implementing Classes:
  AceSequence, SimpleSequence, ViewSequence, SequenceAdapter

public interface Sequence
extends SymbolList, FeatureHolder, Annotatable

A sequence.

This interface is a symbol list, so it contains symbols. It is annotatable so that you can add annotation to it, and it is a FeatureHolder so that you can add information about specific regions.

It is expected that there may be several implementations of this interface, each of which may be fairly heavy-weight. It takes the SymbolList interface that is nice mathematicaly, and turns it into a biologicaly useful object.

Author:
  Matthew Pocock, Thomas Down

Inner classes inherited from class org.biojava.bio.symbol.SymbolList
`SymbolList.EmptySymbolList`

Inner classes inherited from class org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Fields inherited from interface org.biojava.bio.symbol.SymbolList
`EMPTY_LIST`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER`

Method Summary
`java.lang.String` `getName()` The name of this sequence.
`java.lang.String` `getURN()` The URN for this sequence.

Methods inherited from interface org.biojava.bio.symbol.SymbolList
`getAlphabet, iterator, length, seqString, subList, subStr, symbolAt, toList`

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`countFeatures, createFeature, features, filter, removeFeature`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Method Detail

### getURN

    public java.lang.String getURN()

  The URN for this sequence. This will be something like `urn:sequence/embl:U32766` or `urn:sequence/fasta:sequences.fasta|hox3`.
  Returns:
    the urn as a String

### getName

    public java.lang.String getName()

  The name of this sequence.

  The name may contain spaces or odd characters.

  Returns:
    the name as a String